package com.lightinit.hsdatashow.entity;

import java.math.BigDecimal;
import java.util.Date;

public class StWaterLake {
    private Long id;

    private Long regionId;

    private String regionCode;

    private String lakeType;

    private String lakeName;

    private String lakeCode;

    private String lakeDescription;

    private BigDecimal lakeArea;

    private BigDecimal lakeImpoundage;

    private String lakeChief;

    private BigDecimal waterLevelNormal;

    private BigDecimal waterLevelWarning;

    private BigDecimal waterLevelDead;

    private String waterQuality;

    private String remark;

    private Date createdAt;

    private String createdBy;

    private Date deletedAt;

    private String deletedBy;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getRegionId() {
        return regionId;
    }

    public void setRegionId(Long regionId) {
        this.regionId = regionId;
    }

    public String getRegionCode() {
        return regionCode;
    }

    public void setRegionCode(String regionCode) {
        this.regionCode = regionCode == null ? null : regionCode.trim();
    }

    public String getLakeType() {
        return lakeType;
    }

    public void setLakeType(String lakeType) {
        this.lakeType = lakeType == null ? null : lakeType.trim();
    }

    public String getLakeName() {
        return lakeName;
    }

    public void setLakeName(String lakeName) {
        this.lakeName = lakeName == null ? null : lakeName.trim();
    }

    public String getLakeCode() {
        return lakeCode;
    }

    public void setLakeCode(String lakeCode) {
        this.lakeCode = lakeCode == null ? null : lakeCode.trim();
    }

    public String getLakeDescription() {
        return lakeDescription;
    }

    public void setLakeDescription(String lakeDescription) {
        this.lakeDescription = lakeDescription == null ? null : lakeDescription.trim();
    }

    public BigDecimal getLakeArea() {
        return lakeArea;
    }

    public void setLakeArea(BigDecimal lakeArea) {
        this.lakeArea = lakeArea;
    }

    public BigDecimal getLakeImpoundage() {
        return lakeImpoundage;
    }

    public void setLakeImpoundage(BigDecimal lakeImpoundage) {
        this.lakeImpoundage = lakeImpoundage;
    }

    public String getLakeChief() {
        return lakeChief;
    }

    public void setLakeChief(String lakeChief) {
        this.lakeChief = lakeChief == null ? null : lakeChief.trim();
    }

    public BigDecimal getWaterLevelNormal() {
        return waterLevelNormal;
    }

    public void setWaterLevelNormal(BigDecimal waterLevelNormal) {
        this.waterLevelNormal = waterLevelNormal;
    }

    public BigDecimal getWaterLevelWarning() {
        return waterLevelWarning;
    }

    public void setWaterLevelWarning(BigDecimal waterLevelWarning) {
        this.waterLevelWarning = waterLevelWarning;
    }

    public BigDecimal getWaterLevelDead() {
        return waterLevelDead;
    }

    public void setWaterLevelDead(BigDecimal waterLevelDead) {
        this.waterLevelDead = waterLevelDead;
    }

    public String getWaterQuality() {
        return waterQuality;
    }

    public void setWaterQuality(String waterQuality) {
        this.waterQuality = waterQuality == null ? null : waterQuality.trim();
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark == null ? null : remark.trim();
    }

    public Date getCreatedAt() {
        return createdAt;
    }

    public void setCreatedAt(Date createdAt) {
        this.createdAt = createdAt;
    }

    public String getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy == null ? null : createdBy.trim();
    }

    public Date getDeletedAt() {
        return deletedAt;
    }

    public void setDeletedAt(Date deletedAt) {
        this.deletedAt = deletedAt;
    }

    public String getDeletedBy() {
        return deletedBy;
    }

    public void setDeletedBy(String deletedBy) {
        this.deletedBy = deletedBy == null ? null : deletedBy.trim();
    }
}